| Elektra 0.11.0

Functions
keymeta.c File Reference

Methods to do various operations on Key metadata. More...

`#include <kdb.h>`
`#include <kdbconfig.h>`
`#include <kdbprivate.h>`

## Functions
const Key * | keyNextMeta (Key *key)
| Get the next metadata entry of a Key.
int | keyCopyMeta (Key *dest, const Key *source, const char *metaName)
| Do a shallow copy of metadata with name `metaName` from source to dest.
int | keyCopyAllMeta (Key *dest, const Key *source)
| Do a shallow copy of all metadata from source to dest.
const Key * | keyGetMeta (const Key *key, const char *metaName)
| Returns the Key for a metadata entry with name `metaName`.
ssize_t | keySetMeta (Key *key, const char *metaName, const char *newMetaString)
| Set a new metadata Key.
KeySet * | keyMeta (Key *key)
| Returns the KeySet holding the given Key's metadata.

## Detailed Description

Methods to do various operations on Key metadata.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)